///Browser Documentation File


Browser, December 1995 Version.
Copyright 1995, David Turgeon.  All Rights Reserved Worldwide.


Release date: 95/12/14.  Public Beta Test.  Shareware.



License
-------

BROWSER IS PROVIDED 'AS-IS' AND CONTAINS NO GUARANTEE OF RELIABILITY.  DAVID 
TURGEON, THE AUTHOR, CAN NOT BE HELD RESPONSIBLE OF ANY DAMAGES BY THE USE OF 
THE MISUSE OF BROWSER.

IF YOU DO NOT AGREE WITH THIS LICENSE, PLEASE DO NOT USE BROWSER.



Distribution
------------

Browser represents months of desing job, as well as several days of actual 
coding, which were not paid by anyone.  This program is distributed through 
the shareware concept.

Individual users need not send any money to the author, yet they can if they 
want to support his efforts and/or help him pay his rent.

Commercial/Institutional users need to send $20 US or $25 CDN to the author 
to have the right to use this program for more than a 30-day evaluation 
period.

Please only send certified checks or postal money orders.  Do not send cash; 
it is illegal in Canada.

Distribution is allowed on bulletin board systems and Internet.  The Browser 
Language application developpers are allowed to include the full Browser 
distribution archives along with their products.

No modification of any kind can be made to the program or the documentation 
without written consent from the author, David Turgeon.

Thanks for supporting Browser.



Introduction & Philosophy
-------------------------

Those who tried to understand the Browser Language without reading the 
documentation can be puzzled at its structure, or simply wonder what in hell 
would be the interest of using it.

First I want to point out one thing.  I developped the Browser Language to 
make it as simple as it could be.  It may _look_ difficult to use and 
understand, but in my opinion it's just as simple to use as a batch file, 
while being much more powerful.

As for the point of it all, here it is.

For months I tried to imagine a way electronic magazines and text files could 
be codified, so that they could be all compatible, and so that they can still 
be read with a text editor without too much hassle.  I also wanted to add the 
opportunity to "call" articles that are not necessarily in the current file, 
using a system of links somewhat inspired from the HTML language.

Thus the Browser Language was developped, and it is now a reality.  At its 
simplest form, a Browser program can be a plain text file that will be read 
just like any text file.  At its most complex form, however, a Browser 
program turns into a full-featured text magazine.

To achieve this, a Browser-compatible text file is separated into _links_.  
Once a link is defined, it can be called, and therefore, read.

If you are currently reading this using Browser, you can already go check out 
the following documentation files:

INTRO.B //goto intro
In this text file, you will learn how to make your own Browser text files, 
step by step.  I hope this will be as comprehensive as possible, however if 
you don't understand some of the aspects discussed in there, don't be afraid 
to contact me, I'll be glad to help.

REF.B //goto ref
This text file lists all of the Browser Language variables, commands and 
functions in alphabetical order.



Format
------

Browser supports the Browser Language (version 1) format.

To use Browser, type:

B [<file>][:<link>][, <line>]

Where:

<file> is the filename (Extension usually ends in .B)  If not specified, 
       DIR.B is loaded.
<link> is the link to start to, or the top of the file if not specified.
<line> is the line number to start reading, or the top of the link if not 
       specified.



Automatic startup process
-------------------------

When Browser loads, the first thing it does is to run a link called 
":startup" in a file called B.B.  This file normally is the interface core.  
If it doesn't exist, then nothing is done.



How to contact the author
-------------------------

BBS: Sarcastic Toaster
Quebec City, Canada
+1-418-839-7078

Snail Mail: David Turgeon
2215, rue Migneault
Quebec City (Quebec)
Canada G1J 4W5

Internet address coming soon!

